# DeterministicSpriteGroupAdjust Struct Reference

## Data Fields
DeterministicSpriteGroupAdjustOperation | operation
DeterministicSpriteGroupAdjustType | type
byte | variable
byte | parameter
| Used for variables between 0x60 and 0x7F inclusive.
byte | shift_num
uint32 | and_mask
uint32 | add_val
uint32 | divmod_val
const SpriteGroup * | subroutine

## Detailed Description

Definition at line 158 of file newgrf_spritegroup.h.

The documentation for this struct was generated from the following file:

- src/newgrf_spritegroup.h